﻿/*map*/
#map .ol-zoom .ol-zoom-out {
    margin-top: 204px;
}

#map .ol-zoomslider {
    background-color: transparent;
    top: 2.3em;
}

#map .ol-touch .ol-zoom .ol-zoom-out {
    margin-top: 212px;
}

#map .ol-touch .ol-zoomslider {
    top: 2.75em;
}

#map .ol-zoom-in.ol-has-tooltip:hover [role=tooltip],
#map .ol-zoom-in.ol-has-tooltip:focus [role=tooltip] {
    top: 3px;
}

#map .ol-zoom-out.ol-has-tooltip:hover [role=tooltip],
#map .ol-zoom-out.ol-has-tooltip:focus [role=tooltip] {
    top: 232px;
}

.scale-line {
    position: absolute;
    top: 60px;
    margin-left: 50px;
}

.ol-scale-line {
    position: relative;
    bottom: 0px;
}

.mouse-position {
    width: 200px;
    text-align: center;
    position: absolute;
    top: 60px;
    margin-left: 200px;
    font-size: small;
    color: white;
}

.ol-mouse-position {
    position: relative;
    bottom: 0px;
}

.geometry {
    margin: 4px;
    float: left;
}

    .geometry label {
        cursor: pointer;
        float: left;
        width: 100px;
        margin: 4px;
        background-color: #EFEFEF;
        border-radius: 4px;
        border: 1px solid #D0D0D0;
        overflow: auto;
    }

        .geometry label span {
            text-align: center;
            font-size: 12px;
            padding: 5px 0px;
            display: block;
        }

        .geometry label input {
            position: absolute;
            top: -20px;
        }

    .geometry input:checked + span {
        background-color: #404040;
        color: #F7F7F7;
    }

    .geometry .yellow {
        background-color: #FFCC00;
        color: #333;
    }

    .geometry .blue {
        background-color: #00BFFF;
        color: #333;
    }

    .geometry .pink {
        background-color: #FF99FF;
        color: #333;
    }

    .geometry .green {
        background-color: #03C9A9;
        color: #333;
    }

    .geometry .purple {
        background-color: #B399FF;
        color: #333;
    }

.ol-custom-overviewmap,
.ol-custom-overviewmap.ol-uncollapsible {
    bottom: auto;
    right: auto;
    left: 10px;
    top: 300px;
}

    .ol-custom-overviewmap:not(.ol-collapsed) {
        border: 1px solid black;
    }

    .ol-custom-overviewmap .ol-overviewmap-map {
        border: none;
        width: 300px;
    }

    .ol-custom-overviewmap .ol-overviewmap-box {
        border: 2px solid red;
    }

    .ol-custom-overviewmap:not(.ol-collapsed) button {
        bottom: auto;
        left: auto;
        right: 1px;
        top: 1px;
    }

.ol-info {
    bottom: auto;
    right: auto;
    left: 50px;
    top: 80px;
    width: 250px;
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 5px;
    position: absolute;
    z-index: 99;
    font-family: Calibri;
    font-size: 12px;
    font-weight: bold;
}

.ol-outstanding-editing {
    bottom: auto;
    right: auto;
    left: 50px;
    top: 240px;
    width: 250px;
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 5px;
    position: absolute;
    z-index: 99;
    font-family: Calibri;
    font-size: 12px;
    font-weight: bold;
}

/*Arrow Toggle*/
.arrow-down {
    width: 50px;
    height: 50px;
    left: 195px;
    top: -8px;
    background: transparent;
    position: absolute;
}

    .arrow-down.active {
        background: transparent;
    }

    .arrow-down:before, .arrow-down:after {
        content: "";
        display: block;
        width: 15px;
        height: 1px;
        background: white;
        position: absolute;
        top: 20px;
        transition: transform .5s;
    }

    .arrow-down:before {
        right: 21px;
        border-top-left-radius: 10px;
        border-bottom-left-radius: 10px;
        transform: rotate(45deg);
    }

    .arrow-down:after {
        right: 10px;
        transform: rotate(-45deg);
    }

    .arrow-down.active:before {
        transform: rotate(-45deg);
    }

    .arrow-down.active:after {
        transform: rotate(45deg);
    }

#myToolbox {
    position: relative;
}


#myMapLegend {
    position: relative;
}

#myDetail {
    position: relative;
}

.modal-dialog {
    position: fixed;
    width: 400px;
    padding: 10px;
}

.modal-dialogdetail {
    position: fixed;
    width: 600px;
    padding: 10px;
}

/* For Preview Image */
.modalpreviewimage {
    display: none;
    position: absolute;
    top: 0px;
    left: 0px;
    background-color: black;
    z-index: 99999999;
    opacity: 0.8;
    filter: alpha(opacity=60);
    -moz-opacity: 0.8;
    min-height: 100%;
}

#divImage {
    display: none;
    z-index: 999999999;
    position: fixed;
    top: 0;
    left: 0;
    background-color: White;
    height: 550px;
    width: 600px;
    padding: 3px;
    border: solid 1px black;
}

.tooltip {
    position: relative;
    background: rgba(0, 0, 0, 0.5);
    border-radius: 4px;
    color: white;
    padding: 4px 8px;
    opacity: 0.7;
    white-space: nowrap;
}

.tooltip-measure {
    opacity: 1;
    font-weight: bold;
}

.tooltip-static {
    background-color: #ffcc33;
    color: black;
    border: 1px solid white;
}

    .tooltip-measure:before,
    .tooltip-static:before {
        border-top: 6px solid rgba(0, 0, 0, 0.5);
        border-right: 6px solid transparent;
        border-left: 6px solid transparent;
        content: "";
        position: absolute;
        bottom: -6px;
        margin-left: -7px;
        left: 50%;
    }

    .tooltip-static:before {
        border-top-color: #ffcc33;
    }

.btn-primary2 {
    background-color: #222d32;
    width: 100%;
    border-color: #00a65a;
    border-bottom-width: medium;
    border-top-style: none;
    border-left-style: none;
    border-right-style: none;
    font-size: 14px;
    color: white;
}

    .btn-primary2:hover {
        color: white !important;
    }

.btnslideshow::before {
    content: '\2212';
    color: #ffffff;
    font-size: 15px;
    width: 20px;
    height: 20px;
    text-align: center;
    right: 15px;
    background-color: #00a65a;
    border-top-style: none;
    border-left-style: none;
    border-right-style: none;
    position: absolute;
}

.btnslidehide::after {
    content: '\002B';
    color: #ffffff;
    font-size: 15px;
    width: 20px;
    height: 20px;
    text-align: center;
    right: 15px;
    background-color: #00a65a;
    border-top-style: none;
    border-left-style: none;
    border-right-style: none;
    position: absolute;
}

input[type="checkbox"] {
    display: none;
}

label.labelstyle {
    position: relative;
    cursor: pointer;
    margin-left: 30px;
}

    label.labelstyle::before {
        content: "";
        background: url("../Image/checkmark.png");
        background-position: center;
        background-size: contain;
        width: 15px;
        height: 15px;
        position: absolute;
        top: 2px;
        left: -20px;
        transform: scale(0);
        transition: all 0.4s;
    }

input[type="checkbox"]:checked + label::before {
    transform: scale(1);
}

label.labelstyle::after {
    content: "";
    border: 1px solid #00a65a;
    width: 15px;
    height: 15px;
    position: absolute;
    top: 2px;
    left: -20px;
}

label.labelstyle::after {
    content: "";
    border: 1px solid #00a65a;
    width: 15px;
    height: 15px;
    position: absolute;
    top: 2px;
    left: -20px;
}

.reviewproject {
    padding: 0.2rem .75rem !important;
    height: 100% !important;
}
